import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import "core-js/modules/es.array.slice.js";
import "core-js/modules/es.function.name.js";
import "core-js/modules/es.array.from.js";
import "core-js/modules/es.symbol.description.js";
import "core-js/modules/es.symbol.iterator.js";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import "core-js/modules/es.object.to-string.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.entries.js";
import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.array.iterator.js";
import "core-js/modules/es.set.js";
import "core-js/modules/es.string.iterator.js";
import "core-js/modules/web.dom-collections.iterator.js";
import "core-js/modules/es.regexp.exec.js";
import "core-js/modules/es.string.match.js";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/util.ts
 * Project: @native-theme-ui/core
 * File Created: 28-02-2022 07:21:50
 * Author: Clay Risser
 * -----
 * Last Modified: 05-07-2022 07:23:36
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export function splitTouchableProps(props) {
  var _this = this;

  var clonedProps = _objectSpread({}, props);

  var touchableProps = {};
  Object.entries(clonedProps).forEach(function (_ref) {
    _newArrowCheck(this, _this);

    var _ref2 = _slicedToArray(_ref, 2),
        key = _ref2[0],
        prop = _ref2[1];

    if (key.length >= 3 && key.substring(0, 2) === "on" && key[2] === key[2].toUpperCase()) {
      touchableProps[key] = prop;
      delete clonedProps[key];
    }
  }.bind(this));
  return [clonedProps, touchableProps];
}
export function createSplitProps(propsSetsMap, sxsSetsMap) {
  var lastPropsSetId = "baseProps";
  var lastSxsSetId = "baseSx";
  return function (props) {
    var _this2 = this;

    var sx = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var propsMap = {};
    var sxsMap = {};
    if (lastPropsSetId) propsMap[lastPropsSetId] = {};
    if (lastSxsSetId) sxsMap[lastSxsSetId] = {};

    if (propsSetsMap) {
      Object.keys(propsSetsMap).forEach(function (propsSetId) {
        _newArrowCheck(this, _this2);

        return propsMap[propsSetId] = {};
      }.bind(this));

      var clonedProps = _objectSpread({}, props);

      var propsSetsIds = Object.keys(propsSetsMap);
      Object.entries(clonedProps).forEach(function (_ref3) {
        _newArrowCheck(this, _this2);

        var _ref4 = _slicedToArray(_ref3, 2),
            key = _ref4[0],
            prop = _ref4[1];

        var _iterator = _createForOfIteratorHelper(propsSetsIds),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var propsSetId = _step.value;
            var propsSet = propsMap[propsSetId];
            var matcher = propsSetsMap[propsSetId];

            if (Array.isArray(matcher) ? new Set(matcher).has(key) : !!key.match(matcher)) {
              propsSet[key] = prop;
              return;
            }
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }

        if (lastPropsSetId && key !== "sx") propsMap[lastPropsSetId][key] = prop;
      }.bind(this));
    }

    if (sxsSetsMap) {
      Object.keys(sxsSetsMap).forEach(function (sxsSetId) {
        _newArrowCheck(this, _this2);

        return sxsMap[sxsSetId] = {};
      }.bind(this));
      var sxsSetsIds = Object.keys(sxsSetsMap);
      Object.entries(sx).forEach(function (_ref5) {
        _newArrowCheck(this, _this2);

        var _ref6 = _slicedToArray(_ref5, 2),
            key = _ref6[0],
            value = _ref6[1];

        var _iterator2 = _createForOfIteratorHelper(sxsSetsIds),
            _step2;

        try {
          for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
            var sxsSetId = _step2.value;
            var sxsSet = sxsMap[sxsSetId];
            var matcher = sxsSetsMap[sxsSetId];

            if (Array.isArray(matcher) ? new Set(matcher).has(key) : !!key.match(matcher)) {
              sxsSet[key] = value;
              return;
            }
          }
        } catch (err) {
          _iterator2.e(err);
        } finally {
          _iterator2.f();
        }

        if (lastSxsSetId) sxsMap[lastSxsSetId][key] = value;
      }.bind(this));
    }

    return _objectSpread(_objectSpread({}, propsMap), sxsMap);
  };
}
//# sourceMappingURL=util.mjs.map